JSWeb are committed to providing the latest software on our web servers for optimum performance and security. Part of this job is our technicians maintaining multiple different PHP versions that we offer. PHP is a scripting language used by approx 75% of all websites.

Every version of PHP has its own lifespan: a beta version, a stable launch, lots of minor updates and security patches, and finally decommissioning. From time to time we set a new native PHP across our servers. The native PHP is the default version, which will be used if you / your web developer has not already selected a specific version.

In your cPanel hosting control panel you can choose these PHP versions: 7.0, 7.1, 7.2, 7.3, 7.4 and 8.0

Today we are announcing a date & time when the native PHP will switch to 7.4 and we’re also announcing PHP 8.1 early beta for developers who are keen to get their teeth into the latest release!

If you are a website owner, please inform your IT person & website manager of this information. If you use our web development services, feel free to email us with any questions. If you host your website with JSWeb but use an external web developer, please inform them too.

The upgrade has been scheduled: THURSDAY 16 DECEMBER 2021 @ 6pm UK

*Note: This upgrade will effect UK shared/enterprise/professional hosting plans only. Clients with their own dedicated/virtual servers will be contacted to schedule a separate upgrade date.*
*Note: For clients who have requested USA hosting, the upgrade work on our web servers in Chicago will take place on Friday morning, December 17th, 2021  @ 6am CDT.* 

What’s a little upgrade?

In 2019 we had the “Big PHP Upgrade” when we switched from PHP 5.6 to PHP 7. This was because there were major differences between the two PHP versions and it was an elephant-sized task for some web developers (the PHP logo is an elephant 🐘).
This time we’re calling it “The Little Upgrade” because the changes are unlikely to have a big impact on the vast majority of websites. It’s more of a baby-elephant-sized upgrade!

Nevertheless, please do check with your IT person / web developer! Every website is different and website software, themes & plugins may require their own unique changes to continue to function.
If your website uses old software (more than a year or two since the last update), it may not be compatible with PHP 7.4. You should always use the latest up-to-date website software for performance and security.

What you should do:

Here’s a useful checklist with what to do before and after the scheduled upgrade.

  1. Before the scheduled upgrade, ask your IT person to make sure the website software is up to date and check if it’s compatible with PHP 7.4
  2. You can select your PHP version, PHP extensions and other PHP settings in your cPanel hosting control panel. You can login to cPanel via the My Services page on your client area, or ask our team for a reminder of your cPanel login details.
  3. If your website software requires a specific PHP version, select it now in your cPanel control panel. Once logged into cPanel, go to the ‘Select PHP Version’ page. You can select PHP versions: 7.0, 7.1, 7.2, 7.3, 7.4, 8.0 and 8.1.
  4. After the scheduled upgrade, check every part of your website(s) thoroughly. Make sure the homepage and all sub-pages are loading, including all dynamically generated content. 
  5. A common cause of a PHP error message is out of date software or plugins, so make sure your website software supports PHP 7.4
  6. If your website is displaying an error message (for example 500 Internal Server Error), this is usually caused by old website software. For security reasons, PHP doesn’t display the full error message on your website. It will save it to a file called error_log usually located in the main diectory of your website. The error_log file can be viewed by your IT person / website manager using an FTP application or the cPanel File Manager. Please open a support ticket and we’ll be happy to help.
  7. In a similar way, if the website displays a blank white page, this is because PHP has suppressed an error message, saving it to a file called error_log usually located in the main directory of your website. If the backend of your website is displaying a blank white page, look for an error_log in the relevant admin directory.
  8. If you need to roll back your web hosting account to an older PHP version, you can do this in your cPanel control panel by following the guidance in step 3. If your website has issues working on PHP 7.4, roll back one version at a time until it’s on the version where it last worked without any issues. Once you get it working, don’t forget to schedule a time for the website software to be upgraded.
  9. If your website has a contact form (or any PHP web script that sends outgoing email), make sure it’s working by submitting a test email. If it’s an e-commerce website, submit a test order.
  10. If you encounter any technical problems, don’t hesitate to get in touch and our team will be happy to assist you. Remember to include your website address, steps on how we can replicate the problem and also any error message that you’ve encountered.
    Please allow us the opportunity to fix your website via support ticket. Support tickets and live chats will receive priority over phone calls.

This is part of our on-going update schedule where we maintain multiple different PHP versions throughout their lifespan. More information on PHP version lifespan can be found here: https://my.jsweb.uk/index.php?rp=/knowledgebase/150/Lifespan-or-schedule-for-each-PHP-Version.html

Please note PHP 5.6 reached end-of-life in August 2021 and we no longer support it. PHP 7.0 end-of-life is in December 2021 but it will be 30 January 2022 when it’s actually decommissioned from our servers. If your website is using PHP 7.1 please plan an upgrade because it’s the next version that will reach end-of-life in December 2022. If your website software needs an update, please get in touch with one of our project managers today.

As always, any questions, get in touch!